Subject: Re: [trill] YANG model for protocol independent OAM

From: "Tissa Senevirathne (tsenevir)" <[email-masked]>
Date: Wed, 2 Apr 2014 04:17:24 +0000

Hi Weiguo

Thanks for some very good set of questions, please see the answers below in-line with [answer]

From: Haoweiguo [mailto:[email-masked]]
Sent: Tuesday, April 01, 2014 8:51 PM
To: Tissa Senevirathne (tsenevir); [email-masked]; [email-masked]; [email-masked]
Subject: 答复: YANG model for protocol independent OAM

Hi Tissa,

Thanks for your presenting the detail Yang model of TRILL OAM. After read the draft, i have some comments and problems as follows.

1. There is no MIP data model in this draft, in TRILL OAM Framework MIP is definitely defined to filter OAM packet based on MIP level.

[answer] I intentionally skipped this for the initial rev, it is assumed all MIP are auto created on applicable interfaces. In the next rev, at the MA level will include node ma-autocreate. When disable, will add ability to create MIP manually. There will be no specific MIP address like in MEP, but just the direction and attached interface.

2. The range of MEP ID is from 1 to 8191. In TRILL OAM framework, trill base mode is defined to generate MD, MA, and MEP automatically, MEP ID can use RB's nickname and will be beyond 8191, how can it be managed through Yang model?

[answer] on a different thread Yi zhou also asked me the same question. 8191 taken from the CFM MIB. Although actual MEP-ID on the wire is 2 bytes, (Section 21.6 802.1ag, Table 21-15) I will change the range to full range when technology is not CFM.

3. In trill base mode, the default name for MD is "TrillBaseMode", the default name for MA is "FFFC". If they are conflicted with the configuration data, how can we solve this issue?

[answer] A Very good question, I did not include this in the initial version to keep it simple but you caught it :).

In the next rev I will include as follows

There can be one and only one TrillBase mode per MA.

I will either introduce trill feature and make if-feature or when technology=trill, to create Base mode node.  My current preference is to use if-feature.

Thanks

weiguo

________________________________
发件人: mpls [[email-masked]] 代表 Tissa Senevirathne (tsenevir) [[email-masked]]
发送时间: 2014年4月2日 10:57
收件人: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
主题: [mpls] YANG model for protocol independent OAM
All

In the draft below we present YANG model to abstract protocol dependent aspects of OAM and create a unified OAM API set. In a nutshell, ping is ping and traceroute is traceroute and so on. Protocol independent API ‘s allow users to exercise these OAM tools in the same manner across different technologies and allow to integrate to their operations platforms.

Appreciate your time on reviewing and providing comments, both on API’s and YANG model as well as OAM framework in it self.

http://www.ietf.org/id/draft-tissa-netmod-oam-00.txt

Thanks
Tissa